Loading...
Searching...
No Matches
Spe5FluidSystem.hpp File Reference

The fluid system for the oil, gas and water phases of the SPE5 problem. More...

`#include "BaseFluidSystem.hpp"`
`#include "Spe5ParameterCache.hpp"`
`#include <opm/material/Constants.hpp>`
`#include <opm/material/eos/PengRobinsonMixture.hpp>`
`#include <opm/material/common/Spline.hpp>`
`#include <string_view>`

Go to the source code of this file.

## Classes

class | Opm::Spe5FluidSystem< Scalar >
| The fluid system for the oil, gas and water phases of the SPE5 problem. More...
struct | Opm::Spe5FluidSystem< Scalar >::ParameterCache< Evaluation >
| The type of the fluid system's parameter cache. More...

## Namespaces

namespace | Opm
| This class implements a small container which holds the transmissibility mulitpliers for all the faces in the grid.

## Variables

template<class Scalar>
const Scalar | Opm::Spe5FluidSystem< Scalar >::R = Constants<Scalar>::R

## Detailed Description

The fluid system for the oil, gas and water phases of the SPE5 problem.

This problem comprises , , , , , and as components.

See:

J.E. Killough, et al.: Fifth Comparative Solution Project: Evaluation of Miscible Flood Simulators, Ninth SPE Symposium on Reservoir Simulation, 1987